%global cvsdate  20040108
%global momorel 0.%{cvsdate}.04
%global mkfontdir /usr/bin/mkfontdir
%global chkfontpath %{_sbindir}/chkfontpath
%global xfontdir /usr/share/X11/fonts/
%global sharefontdir %{_datadir}/fonts/truetype/

Summary:   M+ outline fonts
Name:      mplus_medium
Version:   0.%{cvsdate}
Release:   %{momorel}m
License:   Public Domain
Group:     User Interface/X
BuildArch: noarch
Source0:   mplus_medium-%{cvsdate}.tar.bz2
URL:       http://mplus-fonts.sourceforge.jp/mplus-outline-fonts/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: fontforge
BuildPrereq: perl

%description
M+ outline fonts are free softwares.
Unlimited permission is granted to use, copy, and distribute it, with
or without modification, either commercially and noncommercially.
THESE FONTS ARE PROVIDED "AS IS" WITHOUT WARRANTY.

%prep
%setup -q -n %{name}
pushd %{name}
%{__perl} -p -i -e 's|\#\!/usr/local/bin/|\#\!/usr/bin/|g' *.pl *.pe
%{__perl} -p -i -e 's|pfaedit|fontforge|g' *.pl *.pe Makefile
popd

%build
unset LANG || :
pushd %{name}
make distclean
make ttf
popd

%install
%{__rm} -rf --preserve-root %{buildroot}
%{__mkdir_p} -m0755 %{buildroot}%{sharefontdir}%{name}
%{__mkdir_p} -m0755 %{buildroot}%{xfontdir}%{name}
%{__install} -m0644 %{name}/mplus-medium.ttf %{buildroot}%{sharefontdir}%{name}
%{__ln_s} ../../../../..%{sharefontdir}%{name}/mplus-medium.ttf %{buildroot}%{xfontdir}%{name}/mplus-medium.ttf
%{__install} -m0644 fonts.dir %{buildroot}%{xfontdir}%{name}


%clean
%{__rm} -rf --preserve-root %{buildroot}

%post
if [ -x "%{chkfontpath}" ]; then
  %{chkfontpath} -qa %{xfontdir}%{name}
  if ! (%{__grep} '%{xfontdir}%{name}' /etc/X11/XftConfig >& /dev/null) ; then
    echo dir \"%{xfontdir}%{name}\" >> /etc/X11/XftConfig
  fi
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x "%{chkfontpath}" ]; then
    %{chkfontpath} -qr %{xfontdir}%{name}
    %{__grep} -v '%{xfontdir}%{name}' /etc/X11/XftConfig > /etc/X11/XftConfig.new
    %{__mv} -f /etc/X11/XftConfig.new /etc/X11/XftConfig
  fi
fi

%files
%defattr(-, root,root)
%doc README_* INSTALL_* LICENSE_*
%dir %{sharefontdir}%{name}
%dir %{xfontdir}%{name}
%{sharefontdir}%{name}/*.ttf
%{xfontdir}%{name}/*.ttf
%config(noreplace) %{xfontdir}%{name}/fonts.dir

%changelog
* Tue Mar 28 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.20040108-0.20040108.04m)
- revised fonts installdir

* Wed Jan 11 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.20040108-0.20040108.03m)
  fontforge instead of pfaedit.

* Fri Feb 11 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.20040108-0.20040108.02m)
  use relative path in symlink.
  unset LANG.

* Thu Jan 08 2004  Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20040108-0.20040108.01m)
- cvs update at 2004-01-08.

* Fri Dec 26 2003  Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20031226-0.20031226.01m)
- cvs update at 2003-12-26.

* Thu Dec 25 2003  Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20031225-0.20031225.01m)
- cvs update at 2003-12-25.

* Tue Dec 23 2003  Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20031223-0.20031223.01m)
- cvs update at 2003-12-23.

* Mon Dec 22 2003  Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20031222-0.20031222.01m)
- cvs update at 2003-12-22.

* Sat Dec 20 2003  Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20031220-0.20031220.01m)
- cvs update at 2003-12-20.

* Fri Dec 19 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20031219-0.20031219.01m)
- update to cvs date 2003-12-19 version.

* Thu Dec 18 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20031218-0.20031218.01m)
- Initial specfile
- source is cvs version.




